## ubuntu-insights 0.1.0

=== debian/changelog ===
ubuntu-insights (0.1.0) questing; urgency=medium

  * Initial release (LP: #2107478)

 -- Kat Kuo <kat.kuo@canonical.com>  Mon, 30 Jun 2025 09:50:12 -0400
