## ubuntu-insights 0.2.0

=== debian/changelog ===
ubuntu-insights (0.2.0) questing; urgency=medium

  * Fix armhf builds
  * Upgrades various golang dependencies
  * Fix copyright duplication
  * Cleanup unnecessary reference in run-tests.sh script

 -- Kat Kuo <kat.kuo@canonical.com>  Mon, 14 Jul 2025 13:23:43 -0400
