=== debian/control ===
Source: ubuntu-insights
Section: golang
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-go (>= 2:1.24~) | golang-1.24-go,
               dctrl-tools,
               libwayland-dev,
Standards-Version: 4.6.2
Vcs-Browser: https://github.com/ubuntu/ubuntu-insights/tree/main/insights
Vcs-Git: https://github.com/ubuntu/ubuntu-insights.git
Homepage: https://github.com/ubuntu/ubuntu-insights
XS-Go-Import-Path: github.com/ubuntu/ubuntu-insights/insights

Package: ubuntu-insights
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libwayland-client0,
Built-Using: ${misc:Built-Using},
Description: Ubuntu metrics reporting service
 Ubuntu Insights, a user transparent, open,
 platform-agnostic and cross application solution for reporting
 hardware information and other collected metrics.
 .
 Ubuntu Insights is designed to show you exactly what is being sent, and
 allow you to acknowledge and control your own data. The information
 can't be used to identify a single machine, and is cached for local viewing
 before being sent to the server.
 .
 This is designed to be a full replacement for Ubuntu Report.
 .
 This package contains the command line tool and systemd service triggers.
