## ubuntu-insights 0.3.0

=== debian/changelog ===
ubuntu-insights (0.3.0) questing; urgency=medium

  [ Kat Kuo ]
  [ Didier Roche-Tolomelli ]
  * Fix build time tests
  * Remove unnecessary dh_dwz override

  [ Kat Kuo ]
  * New upstream release (LP: #2118725)
  * Add fixed limits to concurrent report and source processing when uploading
  * Bump control standards version to 4.7.2
  * Ensure system information collection uses 64-bit memory handling
  * Avoid potential overflow in exponential backoff calculations
  * Restrict min-age and period inputs to 32-bit values only

 -- Kat Kuo <kat.kuo@canonical.com>  Thu, 24 Jul 2025 00:11:42 -0400
