=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                golang-go (>= 2:1.24~) | golang-1.24-go,
                dctrl-tools,
                libwayland-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://github.com/ubuntu/ubuntu-insights/tree/main/insights
 Vcs-Git: https://github.com/ubuntu/ubuntu-insights.git
 Homepage: https://github.com/ubuntu/ubuntu-insights
