## ubuntu-insights 0.6.2

=== debian/changelog ===
ubuntu-insights (0.6.2) questing; urgency=medium

  * Fix broken test files
  * Go dependency updates

 -- Kat Kuo <kat.kuo@canonical.com>  Thu, 28 Aug 2025 11:51:31 -0400
