## ubuntu-insights 0.6.2ubuntu0.1

=== debian/changelog ===
ubuntu-insights (0.6.2ubuntu0.1) questing; urgency=medium

  * Fix collection in certain localization environments (LP: #2137483)
  * Fix upload unit sandboxing blocking internet connectivity (LP: #2137587)

 -- Kat Kuo <kat.kuo@canonical.com>  Mon, 05 Jan 2026 09:49:24 -0500
