=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: ubuntu-insights
-Section: golang
+Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Rules-Requires-Root: no
