## ubuntu-insights 0.8.1

=== debian/changelog ===
ubuntu-insights (0.8.1) resolute; urgency=medium

  * New upstream release (LP: #2135266)
  * Fix collection in certain localization environments
  * Fix upload unit sandboxing blocking internet connectivity

 -- Kat Kuo <kat.kuo@canonical.com>  Wed, 17 Dec 2025 09:41:12 -0500
