=== debian/tests/control ===
Test-Command: debian/tests/run-tests.sh
Features: test-name=go_tests
Restrictions: allow-stderr
Depends: @builddeps@, @

Test-Command: debian/tests/run-smoke-tests.sh
Features: test-name=smoke_tests
Restrictions: superficial, allow-stderr
Depends: systemd, man-db, @
