=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-go (>= 2:1.24~) | golang-1.24-go,
+               golang-go (>= 2:1.25~) | golang-1.25-go,
                dctrl-tools,
                libwayland-dev,
 Standards-Version: 4.7.2
