=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,15 @@
 export GOFLAGS := -ldflags=-X=$(INSIGHTS_GO_PACKAGE)/internal/constants.Version=$(DEB_VERSION_UPSTREAM) --mod=vendor -buildmode=pie
 export DH_GOLANG_GO_GENERATE := 1
 
+# Strict symbols checking
+export DPKG_GENSYMBOLS_CHECK_LEVEL := 4
+
+# We add the required backported version to the $PATH so that if it exists, then
+# we can use it. Otherwise we default to the go installed in original $PATH that
+# always matches with the latest available go version in the archive.
+export PATH := $(shell printenv PATH):$(shell ./debian/get-depends-go-bin-path.sh)
+
+# Local variables to avoid repetition
 BUILDDIR := _build
 DESTDIR := $(CURDIR)/debian/tmp
 DEB_VERSION_MAJOR := $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d. -f1)
